/* IMPORTANT INFORMATION !
 * This file was created using an interactive text editor created specifically
 * for POVRAY and AUTOCAD. It allows the direct input of AUTOCAD information,
 * while inside the drawing construct, into the text file. It also supports a
 * series of macro add-on functions such as versions of WORM, CTDS, LATHE objects
 * SOR objects.
 * (C) Nathan G B O'Brien 1996
 */

#declare Column_cut1 =
union {
	cylinder {<0,.1,-0.1><0,7.9,-0.1>,0.02 texture{n13glass1_3}texture{n13glass1_9}}
	sphere {<0,.1,-0.1>,0.02 texture{n13glass1_3}texture{n13glass1_9}}
	sphere {<0,7.9,-0.1>,0.02 texture{n13glass1_3}texture{n13glass1_9}}
}

#declare Column_cut =
union {
	object {Column_cut1}
	object {Column_cut1 rotate <0,30,0>}
	object {Column_cut1 rotate <0,60,0>}
	object {Column_cut1 rotate <0,90,0>}
	object {Column_cut1 rotate <0,120,0>}
	object {Column_cut1 rotate <0,150,0>}
	object {Column_cut1 rotate <0,180,0>}
	object {Column_cut1 rotate <0,210,0>}
	object {Column_cut1 rotate <0,240,0>}
	object {Column_cut1 rotate <0,270,0>}
	object {Column_cut1 rotate <0,300,0>}
	object {Column_cut1 rotate <0,330,0>}
}

#declare Column1 =
union {
    cylinder {<-0.1,0,0><-0.1,1,0>,0.15 texture{n13glass1_4}}
    cylinder {<0.1,0,0><0.1,1,0>,0.15 texture{n13glass1_4}}
    cylinder {<0,0,-0.1><0,1,-0.1>,0.15 texture{n13glass1_4}}
    cylinder {<-0.1,0,-0.1><-0.1,1,-0.1>,0.1 texture{n13glass1_5}}
    cylinder {<0.1,0,-0.1><0.1,1,-0.1>,0.1 texture{n13glass1_5}}

    cylinder {<-0.1,-1,0><-0.1,.2,0>,0.155 texture{n13glass1_6}}
    cylinder {<0.1,-1,0><0.1,.2,0>,0.155 texture{n13glass1_6}}
    cylinder {<0,-1,-0.1><0,.2,-0.1>,0.155 texture{n13glass1_6}}
    cylinder {<-0.1,-1,-0.1><-0.1,.2,-0.1>,0.15 texture{n13glass1_6}}
    cylinder {<0.1,-1,-0.1><0.1,.2,-0.1>,0.15 texture{n13glass1_6}}

    cylinder {<-0.1,-1,0><-0.1,.05,0>,0.1555 texture{n13glass1_7}}
    cylinder {<0.1,-1,0><0.1,.05,0>,0.1555 texture{n13glass1_7}}
    cylinder {<0,-1,-0.1><0,.05,-0.1>,0.1555 texture{n13glass1_7}}
    cylinder {<-0.1,-1,-0.1><-0.1,.05,-0.1>,0.155 texture{n13glass1_7}}
    cylinder {<0.1,-1,-0.1><0.1,.05,-0.1>,0.155 texture{n13glass1_7}}

	difference {
		union {
    		cylinder {<-0.1,0,0><-0.1,8,0>,0.1 texture{n13glass1_3}texture{n13glass1_9}}
			cone {<-0.1,7,0>,0.1<-0.1,8,0>,.2 texture{n13glass1_6}}
		}
		object {Column_cut translate<-0.1,0,0>}
	}

	difference {
		union {
    		cylinder {<0.1,0,0><0.1,8,0>,0.1 texture{n13glass1_3}texture{n13glass1_9}}
			cone {<0.1,7,0>,0.1<0.1,8,0>,.2 texture{n13glass1_6}}
		}
		object {Column_cut translate<0.1,0,0>}
	}

	difference {
		union {
    		cylinder {<0,0,-0.1><0,8,-0.1>,0.1 texture{n13glass1_3}texture{n13glass1_9}}
			cone {<0,7,-0.1>,0.1<0,8,-0.1>,.2 texture{n13glass1_4}}
		}
		object {Column_cut translate<0,0,-0.1>}
	}

    cylinder {<-0.1,0,-0.1><-0.1,8,-0.1>,0.05 texture{n13glass1_1}texture{n13glass1_9}texture{n13glass1_10}}
    cylinder {<0.1,0,-0.1><0.1,8,-0.1>,0.05 texture{n13glass1_1}texture{n13glass1_9}texture{n13glass1_10}}

}

#declare Arch1 =
union {
	cylinder {<-.6,0,0><-.6,3,0>,0.1 texture{n13glass1_8}texture{n13glass1_9}}
	cylinder {<.6,0,0><.6,3,0>,0.1 texture{n13glass1_8}texture{n13glass1_9}}

	cylinder {<-.6,0,0><-.6,1,0>,0.15 texture{n13glass1_4}}
	cylinder {<.6,0,0><.6,1,0>,0.15 texture{n13glass1_4}}

	cylinder {<-.6,0,0><-.6,.2,0>,0.155 texture{n13glass1_6}}
	cylinder {<.6,0,0><.6,.2,0>,0.155 texture{n13glass1_6}}

	cylinder {<-.6,-1,0><-.6,.05,0>,0.1555 texture{n13glass1_7}}
	cylinder {<.6,-1,0><.6,.05,0>,0.1555 texture{n13glass1_7}}

	difference {
		torus {.6,.1 sturm texture{n13glass1_8} rotate<90,0,0> translate<0,3,0>}
		box {<5,0,5><-5,3,-5>}
	}

	difference {
		cylinder {<0,3,.27><0,3,-.27>,.85 texture{n13glass1_1}texture{n13glass1_12 translate<0,3,0>}}
		cylinder {<0,3,1><0,3,-1>,.58 texture{n13glass1_1}texture{n13glass1_12 translate<0,3,0>}}
		box {<10,0,10><-10,3,-10> texture{n13glass1_1}texture{n13glass1_12 translate<0,3,0>}}
	}
}

#declare Top_arch =
difference {
	cylinder {<0,0,0><0,0,-1>,.85 texture{n13glass1_1}texture{n13glass1_12}}
	cylinder {<0,0,1><0,0,-2>,.58 texture{n13glass1_1}texture{n13glass1_12}}
	box {<10,-10,10><-10,0,-10> texture{n13glass1_1}texture{n13glass1_12}}
}

#declare Arch_win =
union {
	difference {
		cylinder {<0,1,-.25><0,1,-.5>,.5 texture{n13glass1_1}}
		cylinder {<0,1,1><0,1,-1>,.45 texture{n13glass1_1}}
		box {<.3,0,1><-.3,1,-1> texture{n13glass1_1}}
	}
	difference {
		cylinder {<0,2.5,-.25><0,2.5,-.5>,.5 texture{n13glass1_1}}
		cylinder {<0,2.5,1><0,2.5,-1>,.45 texture{n13glass1_1}}
	}
	box {<.025,3,-.25><-.025,1.5,-.5> texture{n13glass1_1}}
}

#declare Main_arch =
union {
	difference {
		cylinder {<0,0,0><0,0,-.98>,2.9 texture{n13glass1_1}texture{n13glass1_13}}
		cylinder {<0,0,1><0,0,-2>,2.48 texture{n13glass1_1}texture{n13glass1_13}}
	}
	difference {
		cylinder {<0,0,-.25><0,0,-.5>,2 texture{n13glass1_1}}
		cylinder {<0,0,1><0,0,-2>,1.95 texture{n13glass1_1}}
	}
	difference {
		cylinder {<0,0,-.25><0,0,-.5>,2.48 texture{n13glass1_1}}
		cylinder {<0,0,1><0,0,-2>,2.43 texture{n13glass1_1}}
	}

	#declare Count = 0
	#while (Count < 12)
		object {Arch_win rotate <0,0,((360 / 12) * Count)>}
		#declare Count = (Count + 1)
	#end
}

#declare Mini_column =
union {
	cylinder {<0,0,0><0,1,0>,0.15 texture{n13glass1_4}}
	cylinder {<0,0,0><0,.2,0>,0.155 texture{n13glass1_6}}
	cylinder {<0,-1,0><0,.05,0>,0.1555 texture{n13glass1_7}}
	cylinder {<0,0,0><0,3,0>,0.1 texture{n13glass1_3}}
	cone {<0,3,0>,0.1<0,3.5,0>,0.2 texture{n13glass1_6}}
}


#declare Column_group1 =
union {
object {Column1 translate <-8.35,0,0>}
object {Column1 translate <-6.65,0,0>}
object {Column1 translate <-4.95,0,0>}
object {Column1 translate <-3.25,0,0>}

object {Column1 rotate<0,-90,0> translate <-3,0,0.25>}
object {Column1 rotate<0,-90,0> translate <-3,0,1.95>}
object {Column1 rotate<0,-90,0> translate <-3,0,3.65>}
object {Column1 rotate<0,-90,0> translate <-3,0,5.35>}

object {Column1 translate <8.35,0,0>}
object {Column1 translate <6.65,0,0>}
object {Column1 translate <4.95,0,0>}
object {Column1 translate <3.25,0,0>}

object {Column1 rotate<0,90,0> translate <3,0,0.25>}
object {Column1 rotate<0,90,0> translate <3,0,1.95>}
object {Column1 rotate<0,90,0> translate <3,0,3.65>}
object {Column1 rotate<0,90,0> translate <3,0,5.35>}

object {Mini_column translate <.85,0,5.5>}
object {Mini_column translate <-.85,0,5.5>}
object {Mini_column translate <2.55,0,5.5>}
object {Mini_column translate <-2.55,0,5.5>}
}

#declare Arch_group1 =
union {
object {Arch1 translate <-7.5,0,0.25>}
object {Arch1 translate <-5.8,0,0.25>}
object {Arch1 translate <-4.1,0,0.25>}

object {Arch1 rotate <0,-90,0> translate <-3.25,0,1.1>}
object {Arch1 rotate <0,-90,0> translate <-3.25,0,2.8>}

object {Arch1 translate <7.5,0,0.25>}
object {Arch1 translate <5.8,0,0.25>}
object {Arch1 translate <4.1,0,0.25>}

object {Arch1 rotate <0,90,0> translate <3.25,0,1.1>}
object {Arch1 rotate <0,90,0> translate <3.25,0,2.8>}

object {Top_arch translate <-1.7,3.5,6.4>}
object {Top_arch translate <0,3.5,6.4>}
object {Top_arch translate <1.7,3.5,6.4>}

object {Main_arch translate <0,7,6.4>}
}




